| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csArray< T, ElementHandler, MemoryAllocator, CapacityHandler >::ConstIterator Class Reference

Iterator for the Array<> class. More...

`#include <csutil/array.h>`

List of all members.

## Public Member Functions
| ConstIterator (ConstIterator const &r)
| Copy constructor.
bool | HasNext () const
| Returns true if the next Next() call will return an element.
const T & | Next ()
| Returns the next element in the array.
ConstIterator & | operator= (ConstIterator const &r)
| Assignment operator.
void | Reset ()
| Reset the array to the first element.
## Protected Member Functions
| ConstIterator (const csArray< T, ElementHandler > &newarray)
## Friends
class | csArray< T, ElementHandler >

## Detailed Description

### template<class T, class ElementHandler = csArrayElementHandler<T>, class MemoryAllocator = CS::Memory::AllocatorMalloc, class CapacityHandler = csArrayCapacityDefault>
class csArray< T, ElementHandler, MemoryAllocator, CapacityHandler >::ConstIterator

Iterator for the Array<> class.

Definition at line 1132 of file array.h.

## Constructor & Destructor Documentation

template<class T, class ElementHandler = csArrayElementHandler<T>, class MemoryAllocator = CS::Memory::AllocatorMalloc, class CapacityHandler = csArrayCapacityDefault>

csArray< T, ElementHandler, MemoryAllocator, CapacityHandler >::ConstIterator::ConstIterator | ( | ConstIterator const & | r | ) | `[inline]`

Copy constructor.

Definition at line 1136 of file array.h.

## Member Function Documentation

template<class T, class ElementHandler = csArrayElementHandler<T>, class MemoryAllocator = CS::Memory::AllocatorMalloc, class CapacityHandler = csArrayCapacityDefault>

bool csArray< T, ElementHandler, MemoryAllocator, CapacityHandler >::ConstIterator::HasNext | ( |  | ) | const`[inline]`

Returns true if the next Next() call will return an element.

Definition at line 1144 of file array.h.

References csArray< T, ElementHandler, MemoryAllocator, CapacityHandler >::Length().

template<class T, class ElementHandler = csArrayElementHandler<T>, class MemoryAllocator = CS::Memory::AllocatorMalloc, class CapacityHandler = csArrayCapacityDefault>

const T& csArray< T, ElementHandler, MemoryAllocator, CapacityHandler >::ConstIterator::Next | ( |  | ) | `[inline]`

Returns the next element in the array.

Definition at line 1148 of file array.h.

References csArray< T, ElementHandler, MemoryAllocator, CapacityHandler >::Get().

template<class T, class ElementHandler = csArrayElementHandler<T>, class MemoryAllocator = CS::Memory::AllocatorMalloc, class CapacityHandler = csArrayCapacityDefault>

ConstIterator& csArray< T, ElementHandler, MemoryAllocator, CapacityHandler >::ConstIterator::operator= | ( | ConstIterator const & | r | ) | `[inline]`

Assignment operator.

Definition at line 1140 of file array.h.

References csArray< T, ElementHandler, MemoryAllocator, CapacityHandler >::ConstIterator::array, and csArray< T, ElementHandler, MemoryAllocator, CapacityHandler >::ConstIterator::currentelem.

template<class T, class ElementHandler = csArrayElementHandler<T>, class MemoryAllocator = CS::Memory::AllocatorMalloc, class CapacityHandler = csArrayCapacityDefault>

void csArray< T, ElementHandler, MemoryAllocator, CapacityHandler >::ConstIterator::Reset | ( |  | ) | `[inline]`

Reset the array to the first element.

Definition at line 1152 of file array.h.

The documentation for this class was generated from the following file:

- csutil/array.h